Bug 1314241 - Double free while adding entries
Double free while adding entries
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.0
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
: ZStream
: 1196464 (view as bug list)
Depends On: 1265851
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 04:25 EST by Jaroslav Reznik
Modified: 2016-05-12 03:37 EDT (History)
9 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.11.15-72.el6_7
Doc Type: Bug Fix
Doc Text:
When a callback at BE_TXN in the backend add function failed on a cached entry, the function was attempting to free the entry twice instead of removing it from the cache and then freeing it. This update adds remove and free code to the backend add function and the function no longer attempts to free cached entries twice.
Story Points: ---
Clone Of: 1265851
Environment:
Last Closed: 2016-03-22 10:47:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2016-03-03 04:25:10 EST
This bug has been copied from bug #1265851 and has been proposed
to be backported to 6.7 z-stream (EUS).
Comment 7 Amita Sharma 2016-03-10 07:07:11 EST
Followed https://bugzilla.redhat.com/show_bug.cgi?id=1265851#c3

[root@ipaqa64vml slapd-PKI-IPA]# rpm -qa | grep 389
389-ds-base-1.2.11.15-72.el6_7.x86_64
389-ds-base-libs-1.2.11.15-72.el6_7.x86_64

1. IPA master-replica configuration ::
Master :: ipaqa64vml.testrelm.test
Slave :: sgi-uv2-01.testrelm.test

2. core dump is enabled

3. executed steps.sh 

[root@ipaqa64vml export]# ./steps.sh 
Password for admin@TESTRELM.TEST: 
root@sgi-uv2-01.testrelm.test's password: 
ipa: INFO: Setting agreement cn=meTosgi-uv2-01.testrelm.test,cn=replica,cn=dc\=testrelm\,dc\=test,cn=mapping tree,cn=config schedule to 2358-2359 0 to force synch
ipa: INFO: Deleting schedule 2358-2359 0 from agreement cn=meTosgi-uv2-01.testrelm.test,cn=replica,cn=dc\=testrelm\,dc\=test,cn=mapping tree,cn=config
Update in progress
Update in progress
Update in progress
Update in progress
Update succeeded
-------------------------
Added user "user_22474_0"
-------------------------
  User login: user_22474_0
  First name: fi
  Last name: la
  Full name: fi la
  Display name: fi la
  Initials: fl
  Home directory: /home/user_22474_0
  GECOS field: fi la
  Login shell: /bin/sh
  Kerberos principal: user_22474_0@TESTRELM.TEST
  Email address: user_22474_0@testrelm.test
  UID: 1487600003
  GID: 1487600003
  Password: False
  Kerberos keys available: False
-------------------------
Added user "user_22474_1"
-------------------------
  User login: user_22474_1
  First name: fi
  Last name: la
  Full name: fi la
  Display name: fi la
  Initials: fl
  Home directory: /home/user_22474_1
  GECOS field: fi la
  Login shell: /bin/sh
  Kerberos principal: user_22474_1@TESTRELM.TEST
  Email address: user_22474_1@testrelm.test
  UID: 1487600004
  GID: 1487600004
  Password: False
  Kerberos keys available: False
-------------------------
Added user "user_22474_2"
-------------------------
  User login: user_22474_2
  First name: fi
  Last name: la
  Full name: fi la
  Display name: fi la
  Initials: fl
  Home directory: /home/user_22474_2
  GECOS field: fi la
  Login shell: /bin/sh
  Kerberos principal: user_22474_2@TESTRELM.TEST
  Email address: user_22474_2@testrelm.test
  UID: 1487600005
  GID: 1487600005
  Password: False
  Kerberos keys available: False
-------------------------
.
.
.
.
.
:
.
.
-------------------------
  User login: user_22474_9
  First name: fi
  Last name: la
  Full name: fi la
  Display name: fi la
  Initials: fl
  Home directory: /home/user_22474_9
  GECOS field: fi la
  Login shell: /bin/sh
  Kerberos principal: user_22474_9@TESTRELM.TEST
  Email address: user_22474_9@testrelm.test
  UID: 1487600012
  GID: 1487600012
  Password: False
  Kerberos keys available: False

4. [root@ipaqa64vml slapd-PKI-IPA]# pwd
/var/log/dirsrv/slapd-PKI-IPA
[root@ipaqa64vml slapd-PKI-IPA]# grep DB_LOCK_DEADLOCK errors
[root@ipaqa64vml slapd-PKI-IPA]#echo $?
1


Hence VERIFIED.
Comment 9 errata-xmlrpc 2016-03-22 10:47:27 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0468.html
Comment 10 Noriko Hosoi 2016-04-05 14:21:45 EDT
*** Bug 1196464 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.